#!/bin/sh

CWSIDMINOR=242
DEV=/dev/sid
STR=char-major-10-$CWSIDMINOR
MOD=cw
FILE=/etc/modprobe.conf

case "$1" in
  install)
    if ! grep $STR $FILE
    then echo "alias $STR $MOD" >> $FILE
    fi

    if [ ! -c $DEV ]
    then mknod $DEV c 10 $CWSIDMINOR
         chmod 660 $DEV
	 chown root $DEV
	 chgrp audio $DEV
    fi
  ;;
  uninstall)
    rm -f $DEV
    perl -i.bak -ne "print unless /$STR/" $FILE
  ;;
  *)
    echo 'usage: device.sh [install|uninstall]'
  ;;
esac
